---
title: WebGL2RenderingContext.createVertexArray()
slug: Web/API/WebGL2RenderingContext/createVertexArray
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.createVertexArray()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> creates and initializes a {{domxref("WebGLVertexArrayObject")}} object that represents a vertex array object (VAO) pointing to vertex array data and which provides names for different sets of vertex data.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">WebGLVertexArrayObject <var>gl</var>.createVertexArray();
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("WebGLVertexArrayObject")}} representing a vertex array object (VAO) which points to vertex array data.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var vao = gl.createVertexArray();
gl.bindVertexArray(vao);

// ...
// calls to bindBuffer or vertexAttribPointer
// which will be "recorded" in the VAO
// ...
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.17", "createVertexArray")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGenVertexArrays.xhtml", "glGenVertexArrays")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.createVertexArray")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLVertexArrayObject")}}</li>
</ul>
